Get Public Church Profile
curl --request GET \
--url https://api.thefaithapp.com/v1/churches/public/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/churches/public/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/churches/public/{uuid}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"id": 12,
"name": "Example Church",
"email": "info@examplechurch.com",
"location": "Kampala, Uganda",
"image": "https://cdn.example.com/clients/example.png",
"about": "<p>A welcoming church community.</p>",
"public_uuid": "11111111-2222-3333-4444-555555555555"
}
}Churches
Get Public Church Profile
Returns the public church profile used before a member subscribes or switches context.
GET
/
v1
/
churches
/
public
/
{uuid}
Get Public Church Profile
curl --request GET \
--url https://api.thefaithapp.com/v1/churches/public/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/churches/public/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/churches/public/{uuid}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"id": 12,
"name": "Example Church",
"email": "info@examplechurch.com",
"location": "Kampala, Uganda",
"image": "https://cdn.example.com/clients/example.png",
"about": "<p>A welcoming church community.</p>",
"public_uuid": "11111111-2222-3333-4444-555555555555"
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Public UUID of the church.
Example:
"11111111-2222-3333-4444-555555555555"
Response
Public church profile returned successfully.
The response is of type object.
Was this page helpful?